NX Open C++ Reference Guide
|
Represents a Drawings::RevolvedSectionLineBuilder . More...
Public Member Functions | |
NXOpen::Point * | EndLocation1 () |
Returns the end location 1 which determines the position of the first arrow segment in the section line. | |
NXOpen::Point * | EndLocation2 () |
Returns the end location 2 which determines the position of the second arrow segment in the section line Created in NX6.0.0. | |
NXOpen::Drawings::SectionLineSegmentBuilderList * | Leg1 () |
Returns the list of cut and bend segments for the first leg. | |
NXOpen::Drawings::SectionLineSegmentBuilderList * | Leg2 () |
Returns the list of cut and bend segments for the second leg. | |
NXOpen::Point * | RotationPoint () |
Returns the rotation point. | |
void | SetEndLocation1 (NXOpen::Point *endLocation1) |
Sets the end location 1 which determines the position of the first arrow segment in the section line. | |
void | SetEndLocation2 (NXOpen::Point *endLocation2) |
Sets the end location 2 which determines the position of the second arrow segment in the section line Created in NX6.0.0. | |
void | SetRotationPoint (NXOpen::Point *rotationPoint) |
Sets the rotation point. | |
void | SetSingleLeg (bool singleLeg) |
Sets the single leg indicator. | |
bool | SingleLeg () |
Returns the single leg indicator. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Drawings::RevolvedSectionLineBuilder .
This class is used to create or edit a @link Drawings::RevolvedSectionLine Drawings::RevolvedSectionLine@endlink .
Created in NX6.0.0.
NXOpen::Point* NXOpen::Drawings::RevolvedSectionLineBuilder::EndLocation1 | ( | ) |
Returns the end location 1 which determines the position of the first arrow segment in the section line.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Drawings::RevolvedSectionLineBuilder::EndLocation2 | ( | ) |
Returns the end location 2 which determines the position of the second arrow segment in the section line
Created in NX6.0.0.
License requirements : None
NXOpen::Drawings::SectionLineSegmentBuilderList* NXOpen::Drawings::RevolvedSectionLineBuilder::Leg1 | ( | ) |
Returns the list of cut and bend segments for the first leg.
The list will contain @link Drawings::SectionLineSegmentBuilder::TypesCut Drawings::SectionLineSegmentBuilder::TypesCut@endlink and @link Drawings::SectionLineSegmentBuilder::TypesBend Drawings::SectionLineSegmentBuilder::TypesBend@endlink types of @link Drawings::SectionLineSegmentBuilder Drawings::SectionLineSegmentBuilder@endlink segments. Note that there is no order to the elements of this list since the order is determined by the hinge and arrow direction.
Created in NX6.0.0.
License requirements : None
NXOpen::Drawings::SectionLineSegmentBuilderList* NXOpen::Drawings::RevolvedSectionLineBuilder::Leg2 | ( | ) |
Returns the list of cut and bend segments for the second leg.
This leg is not valid if the single leg indicator is set.
The list will contain Drawings::SectionLineSegmentBuilder::TypesCut and Drawings::SectionLineSegmentBuilder::TypesBend types of Drawings::SectionLineSegmentBuilder segments.
Note that there is no order to the elements of this list since the order is determined by the hinge and arrow direction.
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Drawings::RevolvedSectionLineBuilder::RotationPoint | ( | ) |
Returns the rotation point.
The rotation point identifies position of the axis that the section line is to revolve about.
Created in NX6.0.0.
License requirements : None
void NXOpen::Drawings::RevolvedSectionLineBuilder::SetEndLocation1 | ( | NXOpen::Point * | endLocation1 | ) |
Sets the end location 1 which determines the position of the first arrow segment in the section line.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
endLocation1 | endlocation1 |
void NXOpen::Drawings::RevolvedSectionLineBuilder::SetEndLocation2 | ( | NXOpen::Point * | endLocation2 | ) |
Sets the end location 2 which determines the position of the second arrow segment in the section line
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
endLocation2 | endlocation2 |
void NXOpen::Drawings::RevolvedSectionLineBuilder::SetRotationPoint | ( | NXOpen::Point * | rotationPoint | ) |
Sets the rotation point.
The rotation point identifies position of the axis that the section line is to revolve about.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
rotationPoint | rotationpoint |
void NXOpen::Drawings::RevolvedSectionLineBuilder::SetSingleLeg | ( | bool | singleLeg | ) |
Sets the single leg indicator.
Set this flag to true to create a revolved section line that contains only one leg.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
singleLeg | singleleg |
bool NXOpen::Drawings::RevolvedSectionLineBuilder::SingleLeg | ( | ) |
Returns the single leg indicator.
Set this flag to true to create a revolved section line that contains only one leg.
Created in NX6.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.